package org.eclipse.soda.dk.profile.test.agent;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.util.ResourceBundle;
import org.eclipse.soda.dk.nls.Nls;
import org.eclipse.soda.dk.testagent.TestAgent;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public abstract class ProfileTestAgent extends TestAgent {
	/**
	 * Define message  (int) constants.
	 */
	public static final int PARSEINTERESTMASK = 7400;

	/**
	 * Define the failed to get (int) constant.
	 */
	public static final int FAILED_TO_GET = 7401;

	/**
	 * Define the unexpected error returned for get (int) constant.
	 */
	public static final int UNEXPECTED_ERROR_RETURNED_FOR_GET = 7402;

	/**
	 * Define the failed to read (int) constant.
	 */
	public static final int FAILED_TO_READ = 7403;

	/**
	 * Define the unexpected error returned for read (int) constant.
	 */
	public static final int UNEXPECTED_ERROR_RETURNED_FOR_READ = 7404;

	/**
	 * Define the running test case (int) constant.
	 */
	public static final int RUNNING_TEST_CASE = 7405;

	/**
	 * Define the unexpected error returned for signal (int) constant.
	 */
	public static final int UNEXPECTED_ERROR_RETURNED_FOR_SIGNAL = 7406;

	/**
	 * Define the no error returned for invalid write (int) constant.
	 */
	public static final int NO_ERROR_RETURNED_FOR_INVALID_WRITE = 7407;

	/**
	 * Define the incorrect value after (int) constant.
	 */
	public static final int INCORRECT_VALUE_AFTER = 7408;

	/**
	 * Define the failed to write (int) constant.
	 */
	public static final int FAILED_TO_WRITE = 7409;

	/**
	 * Define the unexpected error returned for write (int) constant.
	 */
	public static final int UNEXPECTED_ERROR_RETURNED_FOR_WRITE = 7410;

	/**
	 * Define the write reports incorrect value (int) constant.
	 */
	public static final int WRITE_REPORTS_INCORRECT_VALUE = 7411;

	/**
	 * Define the write reports incorrect old value (int) constant.
	 */
	public static final int WRITE_REPORTS_INCORRECT_OLD_VALUE = 7412;

	/**
	 * Define the write reports incorrect old value (int) constant.
	 */
	public static final int PROFILE_FAILED_TO_CHANGE_STATE = 7413;

	/**
	 * Define the default resource bundle (ResourceBundle) field.
	 */
	public static ResourceBundle DefaultResourceBundle = Nls.getResourceBundle(ProfileTestAgentResourceBundle.class);
}
