package org.eclipse.soda.dk.profile.test.agent;

/*************************************************************************
 * Copyright (c) 2003, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.util.Arrays;
import java.util.MissingResourceException;
import java.util.Enumeration;
import java.util.ResourceBundle;

/**
 * The ProfileTestAgentResourceBundle provides National Language Support (NLS) resources.
 * @author IBM
 * @version 1.2.0
 */
public class ProfileTestAgentResourceBundle extends ResourceBundle {
	/**
	 * Define the class name.
	 */
	/* Generated field and should not be changed. */
	public final static String CLASS_NAME = ProfileTestAgentResourceBundle.class.getName();

	/**
	 * Define message 7400.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7400 = "parseInterestMask:"; //$NON-NLS-1$

	/**
	 * Define message 7401.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7401 = "Failed to GET {0}"; //$NON-NLS-1$

	/**
	 * Define message 7402.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7402 = "Unexpected error returned for GET {0}"; //$NON-NLS-1$

	/**
	 * Define message 7403.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7403 = "Failed to READ {0}"; //$NON-NLS-1$

	/**
	 * Define message 7404.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7404 = "Unexpected error returned for READ {0}"; //$NON-NLS-1$

	/**
	 * Define message 7405.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7405 = "Running test case: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7406.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7406 = "Unexpected error returned for signal {0}"; //$NON-NLS-1$

	/**
	 * Define message 7407.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7407 = "No error returned for invalid WRITE {0}"; //$NON-NLS-1$

	/**
	 * Define message 7408.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7408 = "Incorrect value after {0}"; //$NON-NLS-1$

	/**
	 * Define message 7409.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7409 = "Failed to WRITE {0}"; //$NON-NLS-1$

	/**
	 * Define message 7410.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7410 = "Unexpected error returned for WRITE {0}"; //$NON-NLS-1$

	/**
	 * Define message 7411.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7411 = "WRITE reports incorrect value for {0}"; //$NON-NLS-1$

	/**
	 * Define message 7412.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7412 = "WRITE reports incorrect old value {0}"; //$NON-NLS-1$

	/**
	 * Define message 7413.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7413 = "Profile {0} failed to change state"; //$NON-NLS-1$

	/**
	 * Define the values local (String[]) constant.
	 */
	/* Generated field and should not be changed. */
	protected static final String[] VALUES_LOCAL = new String[] { MESSAGE_7400, MESSAGE_7401, MESSAGE_7402, MESSAGE_7403, MESSAGE_7404, MESSAGE_7405, MESSAGE_7406, MESSAGE_7407, MESSAGE_7408, MESSAGE_7409, MESSAGE_7410, MESSAGE_7411, MESSAGE_7412,
			MESSAGE_7413 };

	/**
	 * Define the keys (String[]) constant.
	 */
	/* Generated field and should not be changed. */
	public static final String[] KEYS = new String[] { "7400", //$NON-NLS-1$
			"7401", //$NON-NLS-1$
			"7402", //$NON-NLS-1$
			"7403", //$NON-NLS-1$
			"7404", //$NON-NLS-1$
			"7405", //$NON-NLS-1$
			"7406", //$NON-NLS-1$
			"7407", //$NON-NLS-1$
			"7408", //$NON-NLS-1$
			"7409", //$NON-NLS-1$
			"7410", //$NON-NLS-1$
			"7411", //$NON-NLS-1$
			"7412", //$NON-NLS-1$
			"7413" //$NON-NLS-1$
	};

	/**
	 * Define the start index (int) constant.
	 */
	/* Generated field and should not be changed. */
	protected static final int START_INDEX = 7400;

	/**
	 * Define the values (String[]) field.
	 */
	/* Generated field and should not be changed. */
	public static String[] Values = VALUES_LOCAL;

	/**
	 * Standard constructor.
	 */
	public ProfileTestAgentResourceBundle() {
		super();
	}

	/**
	 * Returns the String key based on the specified key number.
	 * @param keyNumber The resource key number.
	 * @return String The key string based on the requested key number.
	 * @throws IndexOutOfBoundsException if String key at key number not found
	 */
	public static String getKey(final int keyNumber) throws IndexOutOfBoundsException {
		return KEYS[keyNumber - START_INDEX];
	}

	/**
	 * Get keys (<code>Enumeration</code>) value.
	 * @see java.util.ResourceBundle#getKeys()
	 * @return Results of the get keys (<code>Enumeration</code>) value.
	 */
	public Enumeration getKeys() {
		/* Generated method and should not be changed. */
		final Enumeration enumeration = new Enumeration() {
			/**
			 * Define the index (int) field.
			 */
			/* Generated field and should not be changed. */
			private int index = 0;

			/**
			 * Next element and return the Object result.
			 * @return If more elements, then return true.
			 */
			public Object nextElement() {
				/* Generated method and should not be changed. */
				return KEYS[this.index++];
			}

			/**
			 * Gets the more elements (boolean) value.
			 * @return The more elements (<code>boolean</code>) value.
			 */
			public boolean hasMoreElements() {
				/* Generated method and should not be changed. */
				return this.index < Values.length;
			}
		};
		return enumeration;
	}

	/**
	 * Handle get object and return object.
	 * @see java.util.ResourceBundle#handleGetObject(String)
	 * @param key Input key to lookup.
	 * @return Results of the handle get object (<code>Object</code>) value.
	 * @throws MissingResourceException Missing Resource Exception.
	 */
	protected Object handleGetObject(final String key) throws MissingResourceException {
		try {
			final int index = Arrays.binarySearch(KEYS, key);
			return Values[index];
		} catch (final RuntimeException exception) {
			throw new MissingResourceException(key, getClass().getName(), key);
		}
	}
}
