package org.eclipse.soda.dk.testagent;

/*************************************************************************
 * Copyright (c) 2003, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.util.Arrays;
import java.util.MissingResourceException;
import java.util.Enumeration;
import java.util.ResourceBundle;

/**
 * The TestAgentResourceBundle provides National Language Support (NLS) resources.
 * @author IBM
 * @version 1.2.0
 */
public class TestAgentResourceBundle extends ResourceBundle {
	/**
	 * Define the class name.
	 */
	/* Generated field and should not be changed. */
	public final static String CLASS_NAME = TestAgentResourceBundle.class.getName();

	/**
	 * Define message 7000.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7000 = "NotificationService not available"; //$NON-NLS-1$

	/**
	 * Define message 7001.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7001 = "Missing configuration; Need managed configuration or esc.properties default configuration."; //$NON-NLS-1$

	/**
	 * Define message 7002.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7002 = "Missing synchronization service."; //$NON-NLS-1$

	/**
	 * Define message 7003.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7003 = "Suite() method must be static"; //$NON-NLS-1$

	/**
	 * Define message 7004.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7004 = "Failed to invoke suite()"; //$NON-NLS-1$

	/**
	 * Define message 7005.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7005 = "Failed to run test"; //$NON-NLS-1$

	/**
	 * Define message 7006.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7006 = "Usage: TestAgent <test case classname>"; //$NON-NLS-1$

	/**
	 * Define message 7007.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7007 = ">>> {0} (OK=Y/Cancel=N)?"; //$NON-NLS-1$

	/**
	 * Define message 7008.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7008 = ">>> {0}"; //$NON-NLS-1$

	/**
	 * Define message 7009.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7009 = "Y"; //$NON-NLS-1$

	/**
	 * Define message 7010.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7010 = "N"; //$NON-NLS-1$

	/**
	 * Define message 7011.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7011 = ">>> Invalid reply, try again."; //$NON-NLS-1$

	/**
	 * Define the values local (String[]) constant.
	 */
	/* Generated field and should not be changed. */
	protected static final String[] VALUES_LOCAL = new String[] { MESSAGE_7000, MESSAGE_7001, MESSAGE_7002, MESSAGE_7003, MESSAGE_7004, MESSAGE_7005, MESSAGE_7006, MESSAGE_7007, MESSAGE_7008, MESSAGE_7009, MESSAGE_7010, MESSAGE_7011 };

	/**
	 * Define the keys (String[]) constant.
	 */
	/* Generated field and should not be changed. */
	public static final String[] KEYS = new String[] { "7000", //$NON-NLS-1$
			"7001", //$NON-NLS-1$
			"7002", //$NON-NLS-1$
			"7003", //$NON-NLS-1$
			"7004", //$NON-NLS-1$
			"7005", //$NON-NLS-1$
			"7006", //$NON-NLS-1$
			"7007", //$NON-NLS-1$
			"7008", //$NON-NLS-1$
			"7009", //$NON-NLS-1$
			"7010", //$NON-NLS-1$
			"7011" //$NON-NLS-1$
	};

	/**
	 * Define the start index (int) constant.
	 */
	/* Generated field and should not be changed. */
	protected static final int START_INDEX = 7000;

	/**
	 * Define the values (String[]) field.
	 */
	/* Generated field and should not be changed. */
	public static String[] Values = VALUES_LOCAL;

	/**
	 * Standard constructor.
	 */
	public TestAgentResourceBundle() {
		super();
	}

	/**
	 * Returns the String key based on the specified key number.
	 * @param keyNumber The resource key number.
	 * @return String The key string based on the requested key number.
	 * @throws IndexOutOfBoundsException if String key at key number not found
	 */
	public static String getKey(final int keyNumber) throws IndexOutOfBoundsException {
		return KEYS[keyNumber - START_INDEX];
	}

	/**
	 * Get keys (<code>Enumeration</code>) value.
	 * @see java.util.ResourceBundle#getKeys()
	 * @return Results of the get keys (<code>Enumeration</code>) value.
	 */
	public Enumeration getKeys() {
		/* Generated method and should not be changed. */
		final Enumeration enumeration = new Enumeration() {
			/**
			 * Define the index (int) field.
			 */
			/* Generated field and should not be changed. */
			private int index = 0;

			/**
			 * Next element and return the Object result.
			 * @return If more elements, then return true.
			 */
			public Object nextElement() {
				/* Generated method and should not be changed. */
				return KEYS[this.index++];
			}

			/**
			 * Gets the more elements (boolean) value.
			 * @return The more elements (<code>boolean</code>) value.
			 */
			public boolean hasMoreElements() {
				/* Generated method and should not be changed. */
				return this.index < Values.length;
			}
		};
		return enumeration;
	}

	/**
	 * Handle get object and return object.
	 * @see java.util.ResourceBundle#handleGetObject(String)
	 * @param key Input key to lookup.
	 * @return Results of the handle get object (<code>Object</code>) value.
	 * @throws MissingResourceException Missing Resource Exception.
	 */
	protected Object handleGetObject(final String key) throws MissingResourceException {
		try {
			final int index = Arrays.binarySearch(KEYS, key);
			return Values[index];
		} catch (final RuntimeException exception) {
			throw new MissingResourceException(key, getClass().getName(), key);
		}
	}
}
