package org.eclipse.soda.dk.testagent.service;

import java.io.IOException;

/*************************************************************************
 * Copyright (c) 2006, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public interface TestSynchronizationService {
	/**
	 * Request confirmation with the specified prompt and test name parameters and return the boolean result.
	 * @param prompt	The prompt (<code>String</code>) parameter.
	 * @param testName	The test name (<code>String</code>) parameter.
	 * @return	Results of the request confirmation (<code>boolean</code>) value.
	 * @throws InterruptedException Interrupted Exception.
	 * @throws IOException IOException.
	 */
	public boolean requestConfirmation(final String prompt, final String testName) throws InterruptedException, IOException;
}
