package org.eclipse.soda.dk.testagent.test;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import org.eclipse.soda.dk.testagent.TestAgent;
import org.eclipse.soda.dk.testagent.framework.ConfiguredTestCase;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public class ConfigurationTestCase extends ConfiguredTestCase {
	/**
	 * Defines the test case class name.
	 */
	public static final String CLASS_NAME = "org.eclipse.soda.dk.testagent.test.ConfigurationTestCase"; //$NON-NLS-1$

	/**
	 * Constructs an instance of this class from the specified name parameter.
	 * @param name
	 *		The name (<code>String</code>) parameter.
	 */
	public ConfigurationTestCase(final String name) {
		super(name);
	}

	/**
	 * Main with the specified arguments parameter.
	 * @param arguments
	 *		The arguments (<code>String[]</code>) parameter.
	 */
	public static void main(final String[] arguments) {
		TestAgent.main(new String[] { CLASS_NAME });
	}

	/**
	 * Test get properties.
	 */
	public void testGetProperties() {
		final String testKey = "testKey"; //$NON-NLS-1$
		final String testValue = getString("expectedValue", "testValue"); //$NON-NLS-1$ //$NON-NLS-2$
		final String defaultValue = "defaultValue"; //$NON-NLS-1$
		assertEquals(testValue, getString(testKey, defaultValue));
	}
}
