package org.eclipse.soda.dk.testagent.test;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.util.Hashtable;
import org.eclipse.soda.dk.testagent.TestAgent;
import org.eclipse.soda.dk.testagent.framework.NotificationClientTestCase;
import org.eclipse.soda.dk.testagent.util.NotificationProbe;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public class NotificationProbeTestCase extends NotificationClientTestCase {
	/**
	 * Defines the test case class name.
	 */
	public static final String CLASS_NAME = "org.eclipse.soda.dk.testagent.test.NotificationProbeTestCase"; //$NON-NLS-1$

	/**
	 * Constructs an instance of this class from the specified name parameter.
	 * @param name
	 *		The name (<code>String</code>) parameter.
	 */
	public NotificationProbeTestCase(final String name) {
		super(name);
	}

	/**
	 * Main with the specified arguments parameter.
	 * @param arguments
	 *		The arguments (<code>String[]</code>) parameter.
	 */
	public static void main(final String[] arguments) {
		TestAgent.main(new String[] { CLASS_NAME });
	}

	/**
	 * Gets the external keys (String[]) value.
	 * @return The external keys (<code>String[]</code>) value.
	 */
	protected String[] getExternalKeys() {
		return new String[] { "*" }; //$NON-NLS-1$
	}

	/**
	 * Test broadcast.
	 * @throws InterruptedException Interrupted Exception.
	 */
	public void testBroadcast() throws InterruptedException {
		final String testKey = "Test"; //$NON-NLS-1$
		final Hashtable data = new Hashtable();
		data.put("value", "test"); //$NON-NLS-1$ //$NON-NLS-2$
		broadcast(testKey, data);
		final NotificationProbe probe = getProbe();
		assertTrue(probe.wasKeyPublished(testKey, data, 200));
	}
}
