package org.eclipse.soda.dk.testagent.test;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.util.ResourceBundle;
import org.eclipse.soda.dk.nls.Nls;
import org.eclipse.soda.dk.testagent.TestAgent;
import org.eclipse.soda.dk.testagent.test.service.TestAgentTestService;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public class TestAgentTest extends TestAgent implements TestAgentTestService {
	/**
	 * Defines the test agent class name.
	 */
	public static final String CLASS_NAME = "org.eclipse.soda.dk.testagent.test.TestAgentTest"; //$NON-NLS-1$

	/**
	 * Define the description string (int) constant.
	 */
	public static final int DESCRIPTION_STRING = 7020;

	/**
	 * Define the press OK or cancel (int) constant.
	 */
	public static final int PRESS_OK_OR_CANCEL = 7021;

	/**
	 * Define the default resource bundle (ResourceBundle) field.
	 */
	public static ResourceBundle DefaultResourceBundle = Nls.getResourceBundle(TestAgentTestResourceBundle.class);

	/**
	 * Main with the specified arguments parameter.
	 * @param arguments
	 *		The arguments (<code>String[]</code>) parameter.
	 */
	public static void main(final String[] arguments) {
		runMain(arguments);
	}

	/**
	 * Gets the description (String) value.
	 * @return The description (<code>String</code>) value.
	 */
	public String getDescription() {
		return TestAgentTestService.SERVICE_DESCRIPTION;
	}

	/**
	 * Load test class and return the Class result.
	 * @return Results of the load test class (<code>Class</code>) value.
	 */
	protected Class loadTestClass() {
		return TestAgentTestSuite.class;
	}
}
