package org.eclipse.soda.dk.testagent.test;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import junit.framework.Test;
import org.eclipse.soda.dk.testagent.TestAgent;
import org.eclipse.soda.dk.testagent.framework.ConfiguredTestSuite;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public class TestAgentTestSuite extends ConfiguredTestSuite {
	/**
	 * Defines the test suite class name.
	 */
	public static final String CLASS_NAME = "org.eclipse.soda.dk.testagent.test.TestAgentTestSuite"; //$NON-NLS-1$

	/**
	 * Main with the specified arguments parameter.
	 * @param arguments
	 *		The arguments (<code>String[]</code>) parameter.
	 */
	public static void main(final String[] arguments) {
		TestAgent.main(new String[] { CLASS_NAME });
	}

	/**
	 * Suite and return the Test result.
	 * @return Results of the suite (<code>Test</code>) value.
	 */
	public static Test suite() {
		TestAgentTestSuite suite = new TestAgentTestSuite();
		suite.addTest(ConfigurationTestCase.class);
		if (suite.getContext().getSynchronizationService() != null) {
			suite.addTest(SynchronizationTestCase.class);
		}
		if (suite.getContext().getNotificationService() != null) {
			suite.addTest(NotificationProbeTestCase.class);
		}
		return suite;
	}
}
