package org.eclipse.soda.dk.testagent.util;

/*************************************************************************
 * Copyright (c) 2006, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public class Delay {
	/**
	 * Milliseconds with the specified duration in ms parameter.
	 * @param durationInMs	The duration in ms (<code>long</code>) parameter.
	 */
	public static void milliseconds(final long durationInMs) {
		try {
			Thread.sleep(durationInMs);
		} catch (final InterruptedException e) {
			/* ignore exception */
		}
	}

	/**
	 * Seconds with the specified duration in seconds parameter.
	 * @param durationInSeconds	The duration in seconds (<code>int</code>) parameter.
	 */
	public static void seconds(final int durationInSeconds) {
		milliseconds(1000L * durationInSeconds);
	}
}
