package org.eclipse.soda.dk.testcontroller;

/*************************************************************************
 * Copyright (c) 2003, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.util.Arrays;
import java.util.MissingResourceException;
import java.util.Enumeration;
import java.util.ResourceBundle;

/**
 * The TestControllerResourceBundle provides National Language Support (NLS) resources.
 * @author IBM
 * @version 1.2.0
 */
public class TestControllerResourceBundle extends ResourceBundle {
	/**
	 * Define the class name.
	 */
	/* Generated field and should not be changed. */
	public final static String CLASS_NAME = TestControllerResourceBundle.class.getName();

	/**
	 * Define message 7050.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7050 = "run single requires 1 matching test, found {0}"; //$NON-NLS-1$

	/**
	 * Define message 7051.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7051 = "Creating configuration with factory PID {0}"; //$NON-NLS-1$

	/**
	 * Define message 7052.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7052 = "Creating configuration with PID {0}"; //$NON-NLS-1$

	/**
	 * Define message 7053.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7053 = "No configurations found matching filter {0}"; //$NON-NLS-1$

	/**
	 * Define message 7054.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7054 = "Deleting configuration with PID {0}"; //$NON-NLS-1$

	/**
	 * Define message 7055.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7055 = "Unable to delete configuration with pid {0} , {1}"; //$NON-NLS-1$

	/**
	 * Define message 7056.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7056 = "No tests match filter: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7057.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7057 = "No tests match filter: {0} and classname: {1}"; //$NON-NLS-1$

	/**
	 * Define message 7058.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7058 = "Updating configuration with PID {0}"; //$NON-NLS-1$

	/**
	 * Define message 7059.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7059 = "Execution environment does not support OSGi service configuration or location"; //$NON-NLS-1$

	/**
	 * Define message 7065.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7065 = "Error in test: {0} [{1}]"; //$NON-NLS-1$

	/**
	 * Define message 7066.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7066 = "Test failed: {0} [{1}]"; //$NON-NLS-1$

	/**
	 * Define message 7067.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7067 = "Error in test run: {0} [{1}]"; //$NON-NLS-1$

	/**
	 * Define message 7068.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7068 = "Running: {0} [{1}]"; //$NON-NLS-1$

	/**
	 * Define message 7069.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7069 = "Used filter: {0} and classname: {1}"; //$NON-NLS-1$

	/**
	 * Define message 7070.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7070 = "Test failed while running {0}"; //$NON-NLS-1$

	/**
	 * Define the values local (String[]) constant.
	 */
	/* Generated field and should not be changed. */
	protected static final String[] VALUES_LOCAL = new String[] { MESSAGE_7050, MESSAGE_7051, MESSAGE_7052, MESSAGE_7053, MESSAGE_7054, MESSAGE_7055, MESSAGE_7056, MESSAGE_7057, MESSAGE_7058, MESSAGE_7059, MESSAGE_7065, MESSAGE_7066, MESSAGE_7067,
			MESSAGE_7068, MESSAGE_7069, MESSAGE_7070 };

	/**
	 * Define the keys (String[]) constant.
	 */
	/* Generated field and should not be changed. */
	public static final String[] KEYS = new String[] { "7050", //$NON-NLS-1$
			"7051", //$NON-NLS-1$
			"7052", //$NON-NLS-1$
			"7053", //$NON-NLS-1$
			"7054", //$NON-NLS-1$
			"7055", //$NON-NLS-1$
			"7056", //$NON-NLS-1$
			"7057", //$NON-NLS-1$
			"7058", //$NON-NLS-1$
			"7059", //$NON-NLS-1$
			"7065", //$NON-NLS-1$
			"7066", //$NON-NLS-1$
			"7067", //$NON-NLS-1$
			"7068", //$NON-NLS-1$
			"7069", //$NON-NLS-1$
			"7070" //$NON-NLS-1$
	};

	/**
	 * Define the integer keys (int[]) constant.
	 */
	/* Generated field and should not be changed. */
	public static final int[] INTEGER_KEYS = new int[] { 7050, 7051, 7052, 7053, 7054, 7055, 7056, 7057, 7058, 7059, 7065, 7066, 7067, 7068, 7069, 7070 };

	/**
	 * Define the values (String[]) field.
	 */
	/* Generated field and should not be changed. */
	public static String[] Values = VALUES_LOCAL;

	/**
	 * Standard constructor.
	 */
	public TestControllerResourceBundle() {
		super();
	}

	/**
	 * Returns the String key based on the specified key number.
	 * @param keyNumber The resource key number.
	 * @return String The key string based on the requested key number.
	 * @throws IndexOutOfBoundsException if String key at key number not found
	 */
	public static String getKey(final int keyNumber) throws IndexOutOfBoundsException {
		final int index = Arrays.binarySearch(INTEGER_KEYS, keyNumber);
		return KEYS[index];
	}

	/**
	 * Get keys (<code>Enumeration</code>) value.
	 * @see java.util.ResourceBundle#getKeys()
	 * @return Results of the get keys (<code>Enumeration</code>) value.
	 */
	public Enumeration getKeys() {
		/* Generated method and should not be changed. */
		final Enumeration enumeration = new Enumeration() {
			/**
			 * Define the index (int) field.
			 */
			/* Generated field and should not be changed. */
			private int index = 0;

			/**
			 * Next element and return the Object result.
			 * @return If more elements, then return true.
			 */
			public Object nextElement() {
				/* Generated method and should not be changed. */
				return KEYS[this.index++];
			}

			/**
			 * Gets the more elements (boolean) value.
			 * @return The more elements (<code>boolean</code>) value.
			 */
			public boolean hasMoreElements() {
				/* Generated method and should not be changed. */
				return this.index < Values.length;
			}
		};
		return enumeration;
	}

	/**
	 * Handle get object and return object.
	 * @see java.util.ResourceBundle#handleGetObject(String)
	 * @param key Input key to lookup.
	 * @return Results of the handle get object (<code>Object</code>) value.
	 * @throws MissingResourceException Missing Resource Exception.
	 */
	protected Object handleGetObject(final String key) throws MissingResourceException {
		try {
			final int index = Arrays.binarySearch(KEYS, key);
			return Values[index];
		} catch (final RuntimeException exception) {
			throw new MissingResourceException(key, getClass().getName(), key);
		}
	}
}
