package org.eclipse.soda.dk.testcontroller.remote.rmi;

/*************************************************************************
 * Copyright (c) 2003, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.util.Arrays;
import java.util.MissingResourceException;
import java.util.Enumeration;
import java.util.ResourceBundle;

/**
 * The LocateControllerResourceBundle provides National Language Support (NLS) resources.
 * @author IBM
 * @version 1.2.0
 */
public class LocateControllerResourceBundle extends ResourceBundle {
	/**
	 * Define the class name.
	 */
	/* Generated field and should not be changed. */
	public final static String CLASS_NAME = LocateControllerResourceBundle.class.getName();

	/**
	 * Define message 7120.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7120 = "No remote TestController found on {0}:{1} ({2})"; //$NON-NLS-1$

	/**
	 * Define message 7121.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7121 = "Failed to bind TestController to RMI registry on port {0} ({1})"; //$NON-NLS-1$

	/**
	 * Define message 7122.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7122 = "Failed to unbind TestController from RMI registry ({0})"; //$NON-NLS-1$

	/**
	 * Define the values local (String[]) constant.
	 */
	/* Generated field and should not be changed. */
	protected static final String[] VALUES_LOCAL = new String[] { MESSAGE_7120, MESSAGE_7121, MESSAGE_7122 };

	/**
	 * Define the keys (String[]) constant.
	 */
	/* Generated field and should not be changed. */
	public static final String[] KEYS = new String[] { "7120", //$NON-NLS-1$
			"7121", //$NON-NLS-1$
			"7122" //$NON-NLS-1$
	};

	/**
	 * Define the start index (int) constant.
	 */
	/* Generated field and should not be changed. */
	protected static final int START_INDEX = 7120;

	/**
	 * Define the values (String[]) field.
	 */
	/* Generated field and should not be changed. */
	public static String[] Values = VALUES_LOCAL;

	/**
	 * Standard constructor.
	 */
	public LocateControllerResourceBundle() {
		super();
	}

	/**
	 * Returns the String key based on the specified key number.
	 * @param keyNumber The resource key number.
	 * @return String The key string based on the requested key number.
	 * @throws IndexOutOfBoundsException if String key at key number not found
	 */
	public static String getKey(final int keyNumber) throws IndexOutOfBoundsException {
		return KEYS[keyNumber - START_INDEX];
	}

	/**
	 * Get keys (<code>Enumeration</code>) value.
	 * @see java.util.ResourceBundle#getKeys()
	 * @return Results of the get keys (<code>Enumeration</code>) value.
	 */
	public Enumeration getKeys() {
		/* Generated method and should not be changed. */
		final Enumeration enumeration = new Enumeration() {
			/**
			 * Define the index (int) field.
			 */
			/* Generated field and should not be changed. */
			private int index = 0;

			/**
			 * Next element and return the Object result.
			 * @return If more elements, then return true.
			 */
			public Object nextElement() {
				/* Generated method and should not be changed. */
				return KEYS[this.index++];
			}

			/**
			 * Gets the more elements (boolean) value.
			 * @return The more elements (<code>boolean</code>) value.
			 */
			public boolean hasMoreElements() {
				/* Generated method and should not be changed. */
				return this.index < Values.length;
			}
		};
		return enumeration;
	}

	/**
	 * Handle get object and return object.
	 * @see java.util.ResourceBundle#handleGetObject(String)
	 * @param key Input key to lookup.
	 * @return Results of the handle get object (<code>Object</code>) value.
	 * @throws MissingResourceException Missing Resource Exception.
	 */
	protected Object handleGetObject(final String key) throws MissingResourceException {
		try {
			final int index = Arrays.binarySearch(KEYS, key);
			return Values[index];
		} catch (final RuntimeException exception) {
			throw new MissingResourceException(key, getClass().getName(), key);
		}
	}
}
