package org.eclipse.soda.dk.testcontroller.remote.rmi;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.io.IOException;
import java.rmi.Remote;
import org.eclipse.soda.dk.testcontroller.service.TestControllerService;
import org.eclipse.soda.dk.testcontroller.service.TestSessionService;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public interface RemoteTestController extends TestControllerService, Remote {
	/**
	 * Create test session with the specified sync service parameter and return the TestSessionService result.
	 * @param syncService The sync service (<code>LocalTestSynchronization</code>) parameter.
	 * @return Results of the create test session (<code>TestSessionService</code>) value.
	 * @throws IOException IOException.
	 */
	public TestSessionService createTestSession(final LocalTestSynchronization syncService) throws IOException;
}
