package org.eclipse.soda.dk.testcontroller.remote.rmi;

/*************************************************************************
 * Copyright (c) 2008, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.io.IOException;
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.rmi.server.RemoteRef;
import java.rmi.server.RemoteStub;
import java.util.Dictionary;
import org.eclipse.soda.dk.notification.service.NotificationService;
import org.eclipse.soda.dk.testagent.service.TestAgentService;
import org.eclipse.soda.dk.testcontroller.service.TestConfigurationService;
import org.osgi.framework.InvalidSyntaxException;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public final class TestConfigurationSkeleton_Stub extends RemoteStub implements RemoteTestConfigurationService, Remote {
	static {
		try {
			$method_createFactoryConfiguration_0 = TestConfigurationService.class.getMethod("createFactoryConfiguration", new Class[] { String.class, String.class, Dictionary.class });
			$method_createOrUpdateConfiguration_1 = TestConfigurationService.class.getMethod("createOrUpdateConfiguration", new Class[] { String.class, String.class, Dictionary.class });
			$method_deleteConfigurations_2 = TestConfigurationService.class.getMethod("deleteConfigurations", new Class[] { String.class });
			$method_findTests_3 = TestConfigurationService.class.getMethod("findTests", new Class[] { String.class, String.class });
			$method_setNotificationService_4 = TestConfigurationService.class.getMethod("setNotificationService", new Class[] { NotificationService.class });
			$method_updateConfigurations_5 = TestConfigurationService.class.getMethod("updateConfigurations", new Class[] { String.class, Dictionary.class });
		} catch (final NoSuchMethodException e) {
			throw new NoSuchMethodError("stub class initialization failed");
		}
	}

	/**
	 * Define the serial version uid (long) constant.
	 */
	private static final long serialVersionUID = 2;

	/**
	 * Define the $methodcreate factory configuration0 (Method) field.
	 */
	private static java.lang.reflect.Method $method_createFactoryConfiguration_0;

	/**
	 * Define the $methodcreate or update configuration1 (Method) field.
	 */
	private static java.lang.reflect.Method $method_createOrUpdateConfiguration_1;

	/**
	 * Define the $methoddelete configurations2 (Method) field.
	 */
	private static java.lang.reflect.Method $method_deleteConfigurations_2;

	/**
	 * Define the $methodfind tests3 (Method) field.
	 */
	private static java.lang.reflect.Method $method_findTests_3;

	/**
	 * Define the $methodset notification service4 (Method) field.
	 */
	private static java.lang.reflect.Method $method_setNotificationService_4;

	/**
	 * Define the $methodupdate configurations5 (Method) field.
	 */
	private static java.lang.reflect.Method $method_updateConfigurations_5;

	/**
	 * Constructs an instance of this class from the specified ref parameter.
	 * @param ref The ref (<code>RemoteRef</code>) parameter.
	 */
	public TestConfigurationSkeleton_Stub(final RemoteRef ref) {
		super(ref);
	}

	/**
	 * Create factory configuration with the specified $param string1, $param string2 and $param dictionary3 parameters.
	 * @param $param_String_1 The $param string1 (<code>String</code>) parameter.
	 * @param $param_String_2 The $param string2 (<code>String</code>) parameter.
	 * @param $param_Dictionary_3 The $param dictionary3 (<code>Dictionary</code>) parameter.
	 * @throws IOException IOException.
	 */
	public void createFactoryConfiguration(final String $param_String_1, final String $param_String_2, final Dictionary $param_Dictionary_3) throws java.io.IOException {
		try {
			this.ref.invoke(this, $method_createFactoryConfiguration_0, new java.lang.Object[] { $param_String_1, $param_String_2, $param_Dictionary_3 }, 8210798134868452699L);
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Create or update configuration with the specified $param string1, $param string2 and $param dictionary3 parameters.
	 * @param $param_String_1 The $param string1 (<code>String</code>) parameter.
	 * @param $param_String_2 The $param string2 (<code>String</code>) parameter.
	 * @param $param_Dictionary_3 The $param dictionary3 (<code>Dictionary</code>) parameter.
	 * @throws IOException IOException.
	 */
	public void createOrUpdateConfiguration(final String $param_String_1, final String $param_String_2, final Dictionary $param_Dictionary_3) throws java.io.IOException {
		try {
			this.ref.invoke(this, $method_createOrUpdateConfiguration_1, new java.lang.Object[] { $param_String_1, $param_String_2, $param_Dictionary_3 }, -5408052362802639963L);
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Delete configurations with the specified $param string1 parameter.
	 * @param $param_String_1 The $param string1 (<code>String</code>) parameter.
	 * @throws IOException IOException.
	 * @throws InvalidSyntaxException Invalid Syntax Exception.
	 * @see #updateConfigurations(String,Dictionary)
	 */
	public void deleteConfigurations(final String $param_String_1) throws java.io.IOException, org.osgi.framework.InvalidSyntaxException {
		try {
			this.ref.invoke(this, $method_deleteConfigurations_2, new java.lang.Object[] { $param_String_1 }, -3045005852313036937L);
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (org.osgi.framework.InvalidSyntaxException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Find tests with the specified $param string1 and $param string2 parameters and return the TestAgentService[] result.
	 * @param $param_String_1 The $param string1 (<code>String</code>) parameter.
	 * @param $param_String_2 The $param string2 (<code>String</code>) parameter.
	 * @return Results of the find tests (<code>TestAgentService[]</code>) value.
	 * @throws IOException IOException.
	 * @throws InvalidSyntaxException Invalid Syntax Exception.
	 */
	public TestAgentService[] findTests(final String $param_String_1, final String $param_String_2) throws java.io.IOException, org.osgi.framework.InvalidSyntaxException {
		try {
			Object $result = this.ref.invoke(this, $method_findTests_3, new java.lang.Object[] { $param_String_1, $param_String_2 }, -2579887970852220118L);
			return ((org.eclipse.soda.dk.testagent.service.TestAgentService[]) $result);
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (org.osgi.framework.InvalidSyntaxException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Sets the notification service value.
	 * @param $param_NotificationService_1 The $param notification service1 (<code>NotificationService</code>) parameter.
	 * @throws RemoteException Remote Exception.
	 */
	public void setNotificationService(final NotificationService $param_NotificationService_1) throws java.rmi.RemoteException {
		try {
			this.ref.invoke(this, $method_setNotificationService_4, new java.lang.Object[] { $param_NotificationService_1 }, 5431060905587454409L);
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.rmi.RemoteException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Update configurations with the specified $param string1 and $param dictionary2 parameters.
	 * @param $param_String_1 The $param string1 (<code>String</code>) parameter.
	 * @param $param_Dictionary_2 The $param dictionary2 (<code>Dictionary</code>) parameter.
	 * @throws IOException IOException.
	 * @throws InvalidSyntaxException Invalid Syntax Exception.
	 * @see #deleteConfigurations(String)
	 */
	public void updateConfigurations(final String $param_String_1, final Dictionary $param_Dictionary_2) throws java.io.IOException, org.osgi.framework.InvalidSyntaxException {
		try {
			this.ref.invoke(this, $method_updateConfigurations_5, new java.lang.Object[] { $param_String_1, $param_Dictionary_2 }, 941947959733703395L);
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (org.osgi.framework.InvalidSyntaxException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}
}
