package org.eclipse.soda.dk.testcontroller.remote.rmi;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.io.IOException;
import java.rmi.Remote;
import java.rmi.server.RemoteRef;
import java.rmi.server.RemoteStub;
import org.eclipse.soda.dk.notification.service.NotificationService;
import org.eclipse.soda.dk.testagent.service.TestSynchronizationService;
import org.eclipse.soda.dk.testcontroller.service.TestSessionService;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public final class TestControllerSkeleton_Stub extends RemoteStub implements RemoteTestController, Remote {
	static {
		try {
			$method_createTestSession_1 = RemoteTestController.class.getMethod("createTestSession", new Class[] { LocalTestSynchronization.class });
			$method_setNotificationService_2 = RemoteTestController.class.getMethod("setNotificationService", new Class[] { NotificationService.class });
		} catch (final NoSuchMethodException e) {
			throw new NoSuchMethodError("stub class initialization failed");
		}
	}

	/**
	 * Define the serial version uid (long) constant.
	 */
	private static final long serialVersionUID = 2;

	/**
	 * Define the $methodcreate test session1 (Method) field.
	 */
	private static java.lang.reflect.Method $method_createTestSession_1;

	/**
	 * Define the $methodset notification service1 (Method) field.
	 */
	private static java.lang.reflect.Method $method_setNotificationService_2;

	/**
	 * Constructs an instance of this class from the specified ref parameter.
	 * @param ref The ref (<code>RemoteRef</code>) parameter.
	 */
	public TestControllerSkeleton_Stub(final RemoteRef ref) {
		super(ref);
	}

	/**
	 * Create test session with the specified $param test synchronization service1 parameter and return the TestSessionService result.
	 * @param $param_TestSynchronizationService_1 The $param test synchronization service1 (<code>TestSynchronizationService</code>) parameter.
	 * @return Results of the create test session (<code>TestSessionService</code>) value.
	 * @throws IOException IOException.
	 * @see #createTestSession(LocalTestSynchronization)
	 */
	public TestSessionService createTestSession(final TestSynchronizationService $param_TestSynchronizationService_1) throws java.io.IOException {
		try {
			Object $result = this.ref.invoke(this, $method_createTestSession_1, new java.lang.Object[] { new TestSynchronizationSkeleton($param_TestSynchronizationService_1) }, 6010863782422371756L); // Statement modified by hand.
			return ((org.eclipse.soda.dk.testcontroller.service.TestSessionService) $result);
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Create test session with the specified $param local test synchronization1 parameter and return the TestSessionService result.
	 * @param $param_LocalTestSynchronization_1 The $param local test synchronization1 (<code>LocalTestSynchronization</code>) parameter.
	 * @return Results of the create test session (<code>TestSessionService</code>) value.
	 * @throws IOException IOException.
	 * @see #createTestSession(TestSynchronizationService)
	 */
	public TestSessionService createTestSession(final LocalTestSynchronization $param_LocalTestSynchronization_1) throws java.io.IOException {
		try {
			Object $result = this.ref.invoke(this, $method_createTestSession_1, new java.lang.Object[] { new TestSynchronizationSkeleton($param_LocalTestSynchronization_1) }, 6010863782422371756L); // Statement modified by hand.
			return ((org.eclipse.soda.dk.testcontroller.service.TestSessionService) $result);
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Sets the notification service value.
	 * @param $param_NotificationService_1 The $param notification service1 (<code>NotificationService</code>) parameter.
	 * @throws IOException IOException.
	 */
	public void setNotificationService(final NotificationService $param_NotificationService_1) throws java.io.IOException {
		try {
			this.ref.invoke(this, $method_setNotificationService_2, new java.lang.Object[] { $param_NotificationService_1 }, 5431060905587454409L);
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}
}
