package org.eclipse.soda.dk.testcontroller.remote.rmi;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.io.IOException;
import java.rmi.Remote;
import java.rmi.server.RemoteRef;
import java.rmi.server.RemoteStub;
import org.eclipse.soda.dk.testcontroller.service.TestRunListenerService;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public final class TestRunListenerSkeleton_Stub extends RemoteStub implements LocalTestRunListener, RemoteTestRunListener, Remote {
	static {
		try {
			$method_testEnded_0 = TestRunListenerService.class.getMethod("testEnded", new Class[] { String.class, String.class });
			$method_testError_1 = TestRunListenerService.class.getMethod("testError", new Class[] { String.class, String.class, String.class });
			$method_testFailed_2 = TestRunListenerService.class.getMethod("testFailed", new Class[] { String.class, String.class, String.class });
			$method_testRunEnded_3 = TestRunListenerService.class.getMethod("testRunEnded", new Class[] { String.class });
			$method_testRunError_4 = TestRunListenerService.class.getMethod("testRunError", new Class[] { String.class, String.class, String.class });
			$method_testRunStarted_5 = TestRunListenerService.class.getMethod("testRunStarted", new Class[] { String.class, String.class });
			$method_testStarted_6 = TestRunListenerService.class.getMethod("testStarted", new Class[] { String.class, String.class });
		} catch (final NoSuchMethodException e) {
			throw new NoSuchMethodError("stub class initialization failed");
		}
	}

	/**
	 * Define the serial version uid (long) constant.
	 */
	private static final long serialVersionUID = 2;

	/**
	 * Define the $methodtest ended0 (Method) field.
	 */
	private static java.lang.reflect.Method $method_testEnded_0;

	/**
	 * Define the $methodtest error1 (Method) field.
	 */
	private static java.lang.reflect.Method $method_testError_1;

	/**
	 * Define the $methodtest failed2 (Method) field.
	 */
	private static java.lang.reflect.Method $method_testFailed_2;

	/**
	 * Define the $methodtest run ended3 (Method) field.
	 */
	private static java.lang.reflect.Method $method_testRunEnded_3;

	/**
	 * Define the $methodtest run error4 (Method) field.
	 */
	private static java.lang.reflect.Method $method_testRunError_4;

	/**
	 * Define the $methodtest run started5 (Method) field.
	 */
	private static java.lang.reflect.Method $method_testRunStarted_5;

	/**
	 * Define the $methodtest started6 (Method) field.
	 */
	private static java.lang.reflect.Method $method_testStarted_6;

	/**
	 * Constructs an instance of this class from the specified ref parameter.
	 * @param ref The ref (<code>RemoteRef</code>) parameter.
	 */
	public TestRunListenerSkeleton_Stub(final RemoteRef ref) {
		super(ref);
	}

	/**
	 * Test ended with the specified $param string1 and $param string2 parameters.
	 * @param $param_String_1 The $param string1 (<code>String</code>) parameter.
	 * @param $param_String_2 The $param string2 (<code>String</code>) parameter.
	 * @throws IOException IOException.
	 * @see #testRunEnded(String)
	 */
	public void testEnded(final String $param_String_1, final String $param_String_2) throws java.io.IOException {
		try {
			this.ref.invoke(this, $method_testEnded_0, new java.lang.Object[] { $param_String_1, $param_String_2 }, -2071776677194198225L);
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Test error with the specified $param string1, $param string2 and $param string3 parameters.
	 * @param $param_String_1 The $param string1 (<code>String</code>) parameter.
	 * @param $param_String_2 The $param string2 (<code>String</code>) parameter.
	 * @param $param_String_3 The $param string3 (<code>String</code>) parameter.
	 * @throws IOException IOException.
	 * @see #testRunError(String,String,String)
	 */
	public void testError(final String $param_String_1, final String $param_String_2, final String $param_String_3) throws java.io.IOException {
		try {
			this.ref.invoke(this, $method_testError_1, new java.lang.Object[] { $param_String_1, $param_String_2, $param_String_3 }, 97179236592172085L);
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Test failed with the specified $param string1, $param string2 and $param string3 parameters.
	 * @param $param_String_1 The $param string1 (<code>String</code>) parameter.
	 * @param $param_String_2 The $param string2 (<code>String</code>) parameter.
	 * @param $param_String_3 The $param string3 (<code>String</code>) parameter.
	 * @throws IOException IOException.
	 */
	public void testFailed(final String $param_String_1, final String $param_String_2, final String $param_String_3) throws java.io.IOException {
		try {
			this.ref.invoke(this, $method_testFailed_2, new java.lang.Object[] { $param_String_1, $param_String_2, $param_String_3 }, -3026287799763139277L);
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Test run ended with the specified $param string1 parameter.
	 * @param $param_String_1 The $param string1 (<code>String</code>) parameter.
	 * @throws IOException IOException.
	 */
	public void testRunEnded(final String $param_String_1) throws java.io.IOException {
		try {
			this.ref.invoke(this, $method_testRunEnded_3, new java.lang.Object[] { $param_String_1 }, -4436638706699537438L);
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Test run error with the specified $param string1, $param string2 and $param string3 parameters.
	 * @param $param_String_1 The $param string1 (<code>String</code>) parameter.
	 * @param $param_String_2 The $param string2 (<code>String</code>) parameter.
	 * @param $param_String_3 The $param string3 (<code>String</code>) parameter.
	 * @throws IOException IOException.
	 */
	public void testRunError(final String $param_String_1, final String $param_String_2, final String $param_String_3) throws java.io.IOException {
		try {
			this.ref.invoke(this, $method_testRunError_4, new java.lang.Object[] { $param_String_1, $param_String_2, $param_String_3 }, 6112739301793142681L);
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Test run started with the specified $param string1 and $param string2 parameters.
	 * @param $param_String_1 The $param string1 (<code>String</code>) parameter.
	 * @param $param_String_2 The $param string2 (<code>String</code>) parameter.
	 * @throws IOException IOException.
	 */
	public void testRunStarted(final String $param_String_1, final String $param_String_2) throws java.io.IOException {
		try {
			this.ref.invoke(this, $method_testRunStarted_5, new java.lang.Object[] { $param_String_1, $param_String_2 }, -1653758268533704232L);
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Test started with the specified $param string1 and $param string2 parameters.
	 * @param $param_String_1 The $param string1 (<code>String</code>) parameter.
	 * @param $param_String_2 The $param string2 (<code>String</code>) parameter.
	 * @throws IOException IOException.
	 * @see #testRunStarted(String,String)
	 */
	public void testStarted(final String $param_String_1, final String $param_String_2) throws java.io.IOException {
		try {
			this.ref.invoke(this, $method_testStarted_6, new java.lang.Object[] { $param_String_1, $param_String_2 }, 3105541266350169436L);
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}
}
