package org.eclipse.soda.dk.testcontroller.remote.rmi;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.io.IOException;
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.rmi.UnexpectedException;
import java.rmi.server.RemoteRef;
import java.rmi.server.RemoteStub;
import java.util.Dictionary;
import java.util.HashMap;
import java.util.Map;
import org.eclipse.soda.dk.testcontroller.service.TestConfigurationService;
import org.eclipse.soda.dk.testcontroller.service.TestRunListenerService;
import org.eclipse.soda.dk.testcontroller.service.TestSessionService;
import org.osgi.framework.InvalidSyntaxException;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public final class TestSessionSkeleton_Stub extends RemoteStub implements LocalTestSession, RemoteTestSession, Remote {
	static {
		try {
			$method_addGlobalTestRunListener_0 = RemoteTestSession.class.getMethod("addGlobalTestRunListener", new Class[] { LocalTestRunListener.class });
			$method_close_2 = TestSessionService.class.getMethod("close", new Class[] {});
			$method_getTestConfigurationService_3 = TestSessionService.class.getMethod("getTestConfigurationService", new Class[] {});
			$method_interrupt_4 = TestSessionService.class.getMethod("interrupt", new Class[] {});
			$method_isInterrupted_5 = TestSessionService.class.getMethod("isInterrupted", new Class[] {});
			$method_removeGlobalTestRunListener_6 = RemoteTestSession.class.getMethod("removeGlobalTestRunListener", new Class[] { LocalTestRunListener.class });
			$method_runMultipleTests_8 = RemoteTestSession.class.getMethod("runMultipleTests", new Class[] { String.class, String.class, String.class, String.class, Dictionary.class, LocalTestRunListener.class });
			$method_runSingleTest_10 = RemoteTestSession.class.getMethod("runSingleTest", new Class[] { String.class, String.class, String.class, String.class, Dictionary.class, LocalTestRunListener.class });
		} catch (final NoSuchMethodException e) {
			throw new NoSuchMethodError("stub class initialization failed");
		}
	}

	/**
	 * Define the serial version uid (long) constant.
	 */
	private static final long serialVersionUID = 2;

	/**
	 * Define the $methodadd global test run listener0 (Method) field.
	 */
	private static java.lang.reflect.Method $method_addGlobalTestRunListener_0;

	/**
	 * Define the $methodremove global test run listener6 (Method) field.
	 */
	private static java.lang.reflect.Method $method_removeGlobalTestRunListener_6;

	/**
	 * Define the $methodclose2 (Method) field.
	 */
	private static java.lang.reflect.Method $method_close_2;

	/**
	 * Define the $methodrun multiple tests8 (Method) field.
	 */
	private static java.lang.reflect.Method $method_runMultipleTests_8;

	/**
	 * Define the $methodget test configuration service3 (Method) field.
	 */
	private static java.lang.reflect.Method $method_getTestConfigurationService_3;

	/**
	 * Define the $methodrun single test10 (Method) field.
	 */
	private static java.lang.reflect.Method $method_runSingleTest_10;

	/**
	 * Define the $methodinterrupt4 (Method) field.
	 */
	private static java.lang.reflect.Method $method_interrupt_4;

	/**
	 * Define the $methodis interrupted5 (Method) field.
	 */
	private static java.lang.reflect.Method $method_isInterrupted_5;

	/**
	 * Define the delegate test run listeners (Map) field.
	 */
	private Map wrappedRunListeners = new HashMap(); // Added by hand

	/**
	 * Constructs an instance of this class from the specified ref parameter.
	 * @param ref
	 *		The ref (<code>RemoteRef</code>) parameter.
	 */
	public TestSessionSkeleton_Stub(final RemoteRef ref) {
		super(ref);
	}

	/**
	 * Add global test run listener with the specified $param local test run listener1 parameter.
	 * @param $param_LocalTestRunListener_1
	 *		The $param local test run listener1 (<code>LocalTestRunListener</code>) parameter.
	 * @throws IOException IOException.
	 * @see #addGlobalTestRunListener(TestRunListenerService)
	 * @see #removeGlobalTestRunListener(LocalTestRunListener)
	 * @see #removeGlobalTestRunListener(TestRunListenerService)
	 */
	public void addGlobalTestRunListener(final LocalTestRunListener $param_LocalTestRunListener_1) throws java.io.IOException {
		try {
			this.ref.invoke(this, $method_addGlobalTestRunListener_0, new java.lang.Object[] { getWrappedTestRunListener($param_LocalTestRunListener_1) }, -4737376774742510438L); // Statement modified by hand.
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Add global test run listener with the specified $param test run listener service1 parameter.
	 * @param $param_TestRunListenerService_1
	 *		The $param test run listener service1 (<code>TestRunListenerService</code>) parameter.
	 * @throws IOException IOException.
	 * @see #addGlobalTestRunListener(LocalTestRunListener)
	 * @see #removeGlobalTestRunListener(LocalTestRunListener)
	 * @see #removeGlobalTestRunListener(TestRunListenerService)
	 */
	public void addGlobalTestRunListener(final TestRunListenerService $param_TestRunListenerService_1) throws java.io.IOException {
		try {
			this.ref.invoke(this, $method_addGlobalTestRunListener_0, new java.lang.Object[] { getWrappedTestRunListener($param_TestRunListenerService_1) }, -4737376774742510438L); // Statement modified by hand.
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Close.
	 * @throws IOException IOException.
	 */
	public void close() throws java.io.IOException {
		try {
			this.ref.invoke(this, $method_close_2, null, -4742752445160157748L);
		} catch (final RuntimeException e) {
			throw e;
		} catch (final IOException e) {
			throw e;
		} catch (final Exception e) {
			throw new UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Gets the test configuration service value.
	 * @return The test configuration service (<code>TestConfigurationService</code>) value.
	 * @throws IOException IOException.
	 */
	public TestConfigurationService getTestConfigurationService() throws java.io.IOException {
		try {
			Object $result = this.ref.invoke(this, $method_getTestConfigurationService_3, null, -6868185812636019359L);
			return ((TestConfigurationService) $result);
		} catch (final RuntimeException e) {
			throw e;
		} catch (final IOException e) {
			throw e;
		} catch (final Exception e) {
			throw new UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Get remote test run listener with the specified run listener parameter and return the RemoteTestRunListener result. Added by hand.
	 * @param runListener
	 *		The run listener (<code>TestRunListenerService</code>) parameter.
	 * @return Results of the get remote test run listener (<code>RemoteTestRunListener</code>) value.
	 * @throws RemoteException
	 */
	private TestRunListenerService getWrappedTestRunListener(final TestRunListenerService runListener) throws RemoteException {
		RemoteTestRunListener wrappedRunListener = (RemoteTestRunListener) this.wrappedRunListeners.get(runListener);
		if (wrappedRunListener == null) {
			wrappedRunListener = new TestRunListenerSkeleton(runListener);
			this.wrappedRunListeners.put(runListener, wrappedRunListener);
		}
		return wrappedRunListener;
	}

	/**
	 * Interrupt.
	 * @throws IOException IOException.
	 */
	public void interrupt() throws java.io.IOException {
		try {
			this.ref.invoke(this, $method_interrupt_4, null, 4025526979207376505L);
		} catch (final RuntimeException e) {
			throw e;
		} catch (final IOException e) {
			throw e;
		} catch (final Exception e) {
			throw new UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Gets the interrupted (boolean) value.
	 * @return The interrupted (<code>boolean</code>) value.
	 * @throws IOException IOException.
	 */
	public boolean isInterrupted() throws java.io.IOException {
		try {
			Object $result = this.ref.invoke(this, $method_isInterrupted_5, null, 450199836052768861L);
			return ((Boolean) $result).booleanValue();
		} catch (final RuntimeException e) {
			throw e;
		} catch (final IOException e) {
			throw e;
		} catch (final Exception e) {
			throw new UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Remove global test run listener with the specified $param local test run listener1 parameter.
	 * @param $param_LocalTestRunListener_1
	 *		The $param local test run listener1 (<code>LocalTestRunListener</code>) parameter.
	 * @throws IOException IOException.
	 * @see #addGlobalTestRunListener(LocalTestRunListener)
	 * @see #addGlobalTestRunListener(TestRunListenerService)
	 * @see #removeGlobalTestRunListener(TestRunListenerService)
	 */
	public void removeGlobalTestRunListener(final LocalTestRunListener $param_LocalTestRunListener_1) throws java.io.IOException {
		try {
			this.ref.invoke(this, $method_removeGlobalTestRunListener_6, new java.lang.Object[] { getWrappedTestRunListener($param_LocalTestRunListener_1) }, 5263475138803960140L); // Statement modified by hand.
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Remove global test run listener with the specified $param test run listener service1 parameter.
	 * @param $param_TestRunListenerService_1
	 *		The $param test run listener service1 (<code>TestRunListenerService</code>) parameter.
	 * @throws IOException IOException.
	 * @see #addGlobalTestRunListener(LocalTestRunListener)
	 * @see #addGlobalTestRunListener(TestRunListenerService)
	 * @see #removeGlobalTestRunListener(LocalTestRunListener)
	 */
	public void removeGlobalTestRunListener(final TestRunListenerService $param_TestRunListenerService_1) throws java.io.IOException {
		try {
			this.ref.invoke(this, $method_removeGlobalTestRunListener_6, new java.lang.Object[] { getWrappedTestRunListener($param_TestRunListenerService_1) }, 5263475138803960140L); // Statement modified by hand.
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Run multiple tests with the specified $param string1, $param string2, $param string3, $param string4, $param dictionary5 and $param local test run listener6 parameters.
	 * @param $param_String_1
	 *		The $param string1 (<code>String</code>) parameter.
	 * @param $param_String_2
	 *		The $param string2 (<code>String</code>) parameter.
	 * @param $param_String_3
	 *		The $param string3 (<code>String</code>) parameter.
	 * @param $param_String_4
	 *		The $param string4 (<code>String</code>) parameter.
	 * @param $param_Dictionary_5
	 *		The $param dictionary5 (<code>Dictionary</code>) parameter.
	 * @param $param_LocalTestRunListener_6
	 *		The $param local test run listener6 (<code>LocalTestRunListener</code>) parameter.
	 * @throws IOException IOException.
	 * @throws InvalidSyntaxException Invalid Syntax Exception.
	 * @see #runMultipleTests(String,String,String,String,Dictionary,TestRunListenerService)
	 */
	public void runMultipleTests(final String $param_String_1, final String $param_String_2, final String $param_String_3, final String $param_String_4, final Dictionary $param_Dictionary_5, final LocalTestRunListener $param_LocalTestRunListener_6) throws java.io.IOException, org.osgi.framework.InvalidSyntaxException {
		try {
			this.ref.invoke(this, $method_runMultipleTests_8, new java.lang.Object[] { $param_String_1, $param_String_2, $param_String_3, $param_String_4, $param_Dictionary_5, getWrappedTestRunListener($param_LocalTestRunListener_6) },
					5350316037188431315L); // Statement modified by hand.
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (org.osgi.framework.InvalidSyntaxException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Run multiple tests with the specified $param_String_1 $param string2, $param string3, $param string4, $param dictionary5 and $param test run listener service6 parameters.
	 * @param $param_String_1
	 *		The $param string1 (<code>String</code>) parameter.
	 * @param $param_String_2
	 *		The $param string2 (<code>String</code>) parameter.
	 * @param $param_String_3
	 *		The $param string3 (<code>String</code>) parameter.
	 * @param $param_String_4
	 *		The $param string4 (<code>String</code>) parameter.
	 * @param $param_Dictionary_5
	 *		The $param dictionary5 (<code>Dictionary</code>) parameter.
	 * @param $param_TestRunListenerService_6
	 *		The $param test run listener service6 (<code>TestRunListenerService</code>) parameter.
	 * @throws IOException IOException.
	 * @throws InvalidSyntaxException Invalid Syntax Exception.
	 * @see #runMultipleTests(String,String,String,String,Dictionary,LocalTestRunListener)
	 */
	public void runMultipleTests(final String $param_String_1, final String $param_String_2, final String $param_String_3, final String $param_String_4, final Dictionary $param_Dictionary_5, final TestRunListenerService $param_TestRunListenerService_6) throws java.io.IOException, org.osgi.framework.InvalidSyntaxException {
		try {
			this.ref.invoke(this, $method_runMultipleTests_8, new java.lang.Object[] { $param_String_1, $param_String_2, $param_String_3, $param_String_4, $param_Dictionary_5, getWrappedTestRunListener($param_TestRunListenerService_6) },
					5350316037188431315L); // Statement modified by hand.
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (org.osgi.framework.InvalidSyntaxException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Run single test with the specified $param string1, $param string2, $param string3, $param string4, $param dictionary5 and $param local test run listener6 parameters.
	 * @param $param_String_1
	 *		The $param string1 (<code>String</code>) parameter.
	 * @param $param_String_2
	 *		The $param string2 (<code>String</code>) parameter.
	 * @param $param_String_3
	 *		The $param string3 (<code>String</code>) parameter.
	 * @param $param_String_4
	 *		The $param string4 (<code>String</code>) parameter.
	 * @param $param_Dictionary_5
	 *		The $param dictionary5 (<code>Dictionary</code>) parameter.
	 * @param $param_LocalTestRunListener_6
	 *		The $param local test run listener6 (<code>LocalTestRunListener</code>) parameter.
	 * @throws IOException IOException.
	 * @throws InvalidSyntaxException Invalid Syntax Exception.
	 * @see #runSingleTest(String,String,String,String,Dictionary,TestRunListenerService)
	 */
	public void runSingleTest(final String $param_String_1, final String $param_String_2, final String $param_String_3, final String $param_String_4, final Dictionary $param_Dictionary_5, final LocalTestRunListener $param_LocalTestRunListener_6) throws java.io.IOException, org.osgi.framework.InvalidSyntaxException {
		try {
			this.ref.invoke(this, $method_runSingleTest_10, new java.lang.Object[] { $param_String_1, $param_String_2, $param_String_3, $param_String_4, $param_Dictionary_5, getWrappedTestRunListener($param_LocalTestRunListener_6) },
					-6036451412410231797L); // Statement modified by hand.
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (org.osgi.framework.InvalidSyntaxException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}

	/**
	 * Run single test with the specified $param string1, $param string2, $param string3, $param string4, $param dictionary5 and $param test run listener service6 parameters.
	 * @param $param_String_1
	 *		The $param string1 (<code>String</code>) parameter.
	 * @param $param_String_2
	 *		The $param string2 (<code>String</code>) parameter.
	 * @param $param_String_3
	 *		The $param string3 (<code>String</code>) parameter.
	 * @param $param_String_4
	 *		The $param string4 (<code>String</code>) parameter.
	 * @param $param_Dictionary_5
	 *		The $param dictionary5 (<code>Dictionary</code>) parameter.
	 * @param $param_TestRunListenerService_6
	 *		The $param test run listener service6 (<code>TestRunListenerService</code>) parameter.
	 * @throws IOException IOException.
	 * @throws InvalidSyntaxException Invalid Syntax Exception.
	 * @see #runSingleTest(String,String,String,String,Dictionary,LocalTestRunListener)
	 */
	public void runSingleTest(final String $param_String_1, final String $param_String_2, final String $param_String_3, final String $param_String_4, final Dictionary $param_Dictionary_5, final TestRunListenerService $param_TestRunListenerService_6) throws java.io.IOException, org.osgi.framework.InvalidSyntaxException {
		try {
			this.ref.invoke(this, $method_runSingleTest_10, new java.lang.Object[] { $param_String_1, $param_String_2, $param_String_3, $param_String_4, $param_Dictionary_5, getWrappedTestRunListener($param_TestRunListenerService_6) },
					-6036451412410231797L); // Statement modified by hand.
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.io.IOException e) {
			throw e;
		} catch (org.osgi.framework.InvalidSyntaxException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new java.rmi.UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}
}
