package org.eclipse.soda.dk.testcontroller.remote.rmi;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.io.IOException;
import java.rmi.Remote;
import java.rmi.UnexpectedException;
import java.rmi.server.RemoteRef;
import java.rmi.server.RemoteStub;
import org.eclipse.soda.dk.testagent.service.TestSynchronizationService;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public final class TestSynchronizationSkeleton_Stub extends RemoteStub implements LocalTestSynchronization, RemoteTestSynchronization, Remote {
	static {
		try {
			$method_requestConfirmation_0 = TestSynchronizationService.class.getMethod("requestConfirmation", new Class[] { String.class, String.class });
		} catch (final NoSuchMethodException e) {
			throw new NoSuchMethodError("stub class initialization failed");
		}
	}

	/**
	 * Define the serial version uid (long) constant.
	 */
	private static final long serialVersionUID = 2;

	/**
	 * Define the $methodrequest confirmation0 (Method) field.
	 */
	private static java.lang.reflect.Method $method_requestConfirmation_0;

	/**
	 * Constructs an instance of this class from the specified ref parameter.
	 * @param ref The ref (<code>RemoteRef</code>) parameter.
	 */
	public TestSynchronizationSkeleton_Stub(final RemoteRef ref) {
		super(ref);
	}

	/**
	 * Request confirmation with the specified $param string1 and $param string2 parameters and return the boolean result.
	 * @param $param_String_1 The $param string1 (<code>String</code>) parameter.
	 * @param $param_String_2 The $param string2 (<code>String</code>) parameter.
	 * @return Results of the request confirmation (<code>boolean</code>) value.
	 * @throws IOException IOException.
	 * @throws InterruptedException Interrupted Exception.
	 */
	public boolean requestConfirmation(final String $param_String_1, final String $param_String_2) throws java.io.IOException, java.lang.InterruptedException {
		try {
			Object $result = this.ref.invoke(this, $method_requestConfirmation_0, new Object[] { $param_String_1, $param_String_2 }, -8428792945570821295L);
			return ((Boolean) $result).booleanValue();
		} catch (final RuntimeException e) {
			throw e;
		} catch (final IOException e) {
			throw e;
		} catch (final InterruptedException e) {
			throw e;
		} catch (final Exception e) {
			throw new UnexpectedException("undeclared checked exception", e); //$NON-NLS-1$
		}
	}
}
