package org.eclipse.soda.dk.testcontroller.service;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import org.eclipse.soda.dk.notification.service.NotificationService;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public interface ControllerLocaterService {
	/**
	 * Define the service name (String) constant.
	 */
	public static final String SERVICE_NAME = ControllerLocaterService.class.getName();

	/**
	 * Find controller with the specified id parameter and return the TestControllerService result.
	 * @param id
	 *		The ID (<code>String</code>) parameter.
	 * @return Results of the find controller (<code>TestControllerService</code>) value.
	 */
	public TestControllerService findController(final String id);

	/**
	 * Sets the notification service value.
	 * @param notificationService
	 *		The notification service (<code>NotificationService</code>) parameter.
	 */
	public void setNotificationService(final NotificationService notificationService);
}
