package org.eclipse.soda.dk.testcontroller.service;

/*************************************************************************
 * Copyright (c) 2006, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.io.IOException;
import org.eclipse.soda.dk.notification.service.NotificationService;
import org.eclipse.soda.dk.testagent.service.TestSynchronizationService;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public interface TestControllerService {
	/**
	 * Define the service name (String) constant.
	 */
	public static final String SERVICE_NAME = TestControllerService.class.getName();

	/**
	 * Create test session with the specified sync service parameter and return the TestSessionService result.
	 * @param syncService	The sync service (<code>TestSynchronizationService</code>) parameter.
	 * @return	Results of the create test session (<code>TestSessionService</code>) value.
	 * @throws IOException IOException.
	 */
	public TestSessionService createTestSession(final TestSynchronizationService syncService) throws IOException;

	/**
	 * Sets the notification service value.
	 * @param notificationService	The notification service (<code>NotificationService</code>) parameter.
	 * @throws IOException IOException.
	 */
	public void setNotificationService(final NotificationService notificationService) throws IOException;
}
