package org.eclipse.soda.dk.testcontroller.test.bundle;

/*************************************************************************
 * Copyright (c) 2003, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.util.Arrays;
import java.util.MissingResourceException;
import java.util.Enumeration;
import java.util.ResourceBundle;

/**
 * The TestControllerTestBundleResourceBundle provides National Language Support (NLS) resources.
 * @author IBM
 * @version 1.2.0
 */
public class TestControllerTestBundleResourceBundle extends ResourceBundle {
	/**
	 * Define the class name.
	 */
	/* Generated field and should not be changed. */
	public final static String CLASS_NAME = TestControllerTestBundleResourceBundle.class.getName();

	/**
	 * Define message 7100.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7100 = "testEnded runId= {0} , testName= {1}"; //$NON-NLS-1$

	/**
	 * Define message 7101.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7101 = "TestError runId= {0} , testName= {1} , trace= {2}"; //$NON-NLS-1$

	/**
	 * Define message 7102.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7102 = "testFailed runId= {0} , testName= {1} , trace= {2}"; //$NON-NLS-1$

	/**
	 * Define message 7103.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7103 = "testRunEnded runId= {0}"; //$NON-NLS-1$

	/**
	 * Define message 7104.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7104 = "testRunError runId= {0} , message= {1} , detail= {2}"; //$NON-NLS-1$

	/**
	 * Define message 7105.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7105 = "testRunStarted runId= {0}"; //$NON-NLS-1$

	/**
	 * Define message 7106.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7106 = "testStarted runId= {0} , testName= {1}"; //$NON-NLS-1$

	/**
	 * Define message 7107.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7107 = "TestControllerTestBundle activated."; //$NON-NLS-1$

	/**
	 * Define message 7108.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7108 = "Test with invalid filter unexpectedly found"; //$NON-NLS-1$

	/**
	 * Define message 7109.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7109 = "Test with invalid filter not found, as expected: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7110.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7110 = "TestControllerTestBundle test failed."; //$NON-NLS-1$

	/**
	 * Define message 7111.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7111 = "TestControllerTestBundle returns from activator."; //$NON-NLS-1$

	/**
	 * Define the values local (String[]) constant.
	 */
	/* Generated field and should not be changed. */
	protected static final String[] VALUES_LOCAL = new String[] { MESSAGE_7100, MESSAGE_7101, MESSAGE_7102, MESSAGE_7103, MESSAGE_7104, MESSAGE_7105, MESSAGE_7106, MESSAGE_7107, MESSAGE_7108, MESSAGE_7109, MESSAGE_7110, MESSAGE_7111 };

	/**
	 * Define the keys (String[]) constant.
	 */
	/* Generated field and should not be changed. */
	public static final String[] KEYS = new String[] { "7100", //$NON-NLS-1$
			"7101", //$NON-NLS-1$
			"7102", //$NON-NLS-1$
			"7103", //$NON-NLS-1$
			"7104", //$NON-NLS-1$
			"7105", //$NON-NLS-1$
			"7106", //$NON-NLS-1$
			"7107", //$NON-NLS-1$
			"7108", //$NON-NLS-1$
			"7109", //$NON-NLS-1$
			"7110", //$NON-NLS-1$
			"7111" //$NON-NLS-1$
	};

	/**
	 * Define the start index (int) constant.
	 */
	/* Generated field and should not be changed. */
	protected static final int START_INDEX = 7100;

	/**
	 * Define the values (String[]) field.
	 */
	/* Generated field and should not be changed. */
	public static String[] Values = VALUES_LOCAL;

	/**
	 * Standard constructor.
	 */
	public TestControllerTestBundleResourceBundle() {
		super();
	}

	/**
	 * Returns the String key based on the specified key number.
	 * @param keyNumber The resource key number.
	 * @return String The key string based on the requested key number.
	 * @throws IndexOutOfBoundsException if String key at key number not found
	 */
	public static String getKey(final int keyNumber) throws IndexOutOfBoundsException {
		return KEYS[keyNumber - START_INDEX];
	}

	/**
	 * Get keys (<code>Enumeration</code>) value.
	 * @see java.util.ResourceBundle#getKeys()
	 * @return Results of the get keys (<code>Enumeration</code>) value.
	 */
	public Enumeration getKeys() {
		/* Generated method and should not be changed. */
		final Enumeration enumeration = new Enumeration() {
			/**
			 * Define the index (int) field.
			 */
			/* Generated field and should not be changed. */
			private int index = 0;

			/**
			 * Next element and return the Object result.
			 * @return If more elements, then return true.
			 */
			public Object nextElement() {
				/* Generated method and should not be changed. */
				return KEYS[this.index++];
			}

			/**
			 * Gets the more elements (boolean) value.
			 * @return The more elements (<code>boolean</code>) value.
			 */
			public boolean hasMoreElements() {
				/* Generated method and should not be changed. */
				return this.index < Values.length;
			}
		};
		return enumeration;
	}

	/**
	 * Handle get object and return object.
	 * @see java.util.ResourceBundle#handleGetObject(String)
	 * @param key Input key to lookup.
	 * @return Results of the handle get object (<code>Object</code>) value.
	 * @throws MissingResourceException Missing Resource Exception.
	 */
	protected Object handleGetObject(final String key) throws MissingResourceException {
		try {
			final int index = Arrays.binarySearch(KEYS, key);
			return Values[index];
		} catch (final RuntimeException exception) {
			throw new MissingResourceException(key, getClass().getName(), key);
		}
	}
}
