package org.eclipse.soda.dk.testmanager;

/*************************************************************************
 * Copyright (c) 2003, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.util.Arrays;
import java.util.MissingResourceException;
import java.util.Enumeration;
import java.util.ResourceBundle;

/**
 * The TestManagerResourceBundle provides National Language Support (NLS) resources.
 * @author IBM
 * @version 1.2.0
 */
public class TestManagerResourceBundle extends ResourceBundle {
	/**
	 * Define the class name.
	 */
	/* Generated field and should not be changed. */
	public final static String CLASS_NAME = TestManagerResourceBundle.class.getName();

	/**
	 * Define message 7150.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7150 = "Unexpected XML start element: {0} at line {1}"; //$NON-NLS-1$

	/**
	 * Define message 7151.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7151 = "Unexpected XML end element: {0} at line {1}"; //$NON-NLS-1$

	/**
	 * Define message 7152.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7152 = "Usage: TestManager <script url or filename>"; //$NON-NLS-1$

	/**
	 * Define message 7153.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7153 = "Updating configurations with filter: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7154.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7154 = "update"; //$NON-NLS-1$

	/**
	 * Define message 7155.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7155 = "Update"; //$NON-NLS-1$

	/**
	 * Define message 7156.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7156 = "sequential"; //$NON-NLS-1$

	/**
	 * Define message 7157.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7157 = "Sequential"; //$NON-NLS-1$

	/**
	 * Define message 7158.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7158 = "parallel"; //$NON-NLS-1$

	/**
	 * Define message 7159.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7159 = "Parallel"; //$NON-NLS-1$

	/**
	 * Define message 7160.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7160 = "Start all tests matching: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7161.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7161 = "Start single test matching: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7162.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7162 = "Invalid filter syntax: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7163.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7163 = "Error accessing (remote) configuration or test service"; //$NON-NLS-1$

	/**
	 * Define message 7164.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7164 = "Test Action"; //$NON-NLS-1$

	/**
	 * Define message 7165.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7165 = "Updating configurations with filter: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7166.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7166 = "Creating configuration from factory: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7167.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7167 = "Create or Update"; //$NON-NLS-1$

	/**
	 * Define message 7168.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7168 = "Updating (or creating) managed configuration with pid: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7169.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7169 = "Creating (or updating) managed configuration with pid: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7170.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7170 = "create"; //$NON-NLS-1$

	/**
	 * Define message 7171.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7171 = "Create"; //$NON-NLS-1$

	/**
	 * Define message 7172.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7172 = "Configuration {0} Request"; //$NON-NLS-1$

	/**
	 * Define message 7173.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7173 = "createOrUpdate"; //$NON-NLS-1$

	/**
	 * Define message 7174.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7174 = "delete"; //$NON-NLS-1$

	/**
	 * Define message 7175.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7175 = "Delete"; //$NON-NLS-1$

	/**
	 * Define message 7176.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7176 = "TestAction-{0}"; //$NON-NLS-1$

	/**
	 * Define message 7177.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7177 = "Deleting configurations with filter: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7178.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7178 = "errors)"; //$NON-NLS-1$

	/**
	 * Define message 7179.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7179 = "Script action ended {0}: {1}"; //$NON-NLS-1$

	/**
	 * Define message 7180.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7180 = "Error executing action {0}: {1}"; //$NON-NLS-1$

	/**
	 * Define message 7181.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7181 = "Starting script action {0}: {1}"; //$NON-NLS-1$

	/**
	 * Define message 7182.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7182 = "{0} Configuration changes ({1} errors)\n"; //$NON-NLS-1$

	/**
	 * Define message 7183.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7183 = "{0} Tests ({1} errors)\n"; //$NON-NLS-1$

	/**
	 * Define message 7184.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7184 = "{0} Test cases ({1} errors, {2} failures)"; //$NON-NLS-1$

	/**
	 * Define message 7185.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7185 = "TEST COMPLETED"; //$NON-NLS-1$

	/**
	 * Define message 7186.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7186 = "Error running script: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7187.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7187 = "(UNTITLED)"; //$NON-NLS-1$

	/**
	 * Define message 7188.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7188 = "Invalid match type for {0}"; //$NON-NLS-1$

	/**
	 * Define message 7189.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7189 = "Action requires filter attribute"; //$NON-NLS-1$

	/**
	 * Define message 7190.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7190 = "Action requires pid, factoryPid or filter attribute"; //$NON-NLS-1$

	/**
	 * Define message 7191.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7191 = "TestScript-Runner"; //$NON-NLS-1$

	/**
	 * Define message 7192.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7192 = "Running test script:"; //$NON-NLS-1$

	/**
	 * Define message 7193.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7193 = "multiple or single expected, found: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7194.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7194 = "cannot process {0}"; //$NON-NLS-1$

	/**
	 * Define message 7195.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7195 = "Invalid attribute {0}='{1}'; {2} at line {3}"; //$NON-NLS-1$

	/**
	 * Define message 7196.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7196 = "No test controller class '{0}' found"; //$NON-NLS-1$

	/**
	 * Define message 7197.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7197 = "Invalid service identifier '{0}'"; //$NON-NLS-1$

	/**
	 * Define message 7198.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7198 = "No local test controller found"; //$NON-NLS-1$

	/**
	 * Define message 7199.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7199 = "No test controller '{0}' found"; //$NON-NLS-1$

	/**
	 * Define message 7200.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7200 = "Multiple test controller services with id '{0}' found, using first service"; //$NON-NLS-1$

	/**
	 * Define the values local (String[]) constant.
	 */
	/* Generated field and should not be changed. */
	protected static final String[] VALUES_LOCAL = new String[] { MESSAGE_7150, MESSAGE_7151, MESSAGE_7152, MESSAGE_7153, MESSAGE_7154, MESSAGE_7155, MESSAGE_7156, MESSAGE_7157, MESSAGE_7158, MESSAGE_7159, MESSAGE_7160, MESSAGE_7161, MESSAGE_7162,
			MESSAGE_7163, MESSAGE_7164, MESSAGE_7165, MESSAGE_7166, MESSAGE_7167, MESSAGE_7168, MESSAGE_7169, MESSAGE_7170, MESSAGE_7171, MESSAGE_7172, MESSAGE_7173, MESSAGE_7174, MESSAGE_7175, MESSAGE_7176, MESSAGE_7177, MESSAGE_7178, MESSAGE_7179,
			MESSAGE_7180, MESSAGE_7181, MESSAGE_7182, MESSAGE_7183, MESSAGE_7184, MESSAGE_7185, MESSAGE_7186, MESSAGE_7187, MESSAGE_7188, MESSAGE_7189, MESSAGE_7190, MESSAGE_7191, MESSAGE_7192, MESSAGE_7193, MESSAGE_7194, MESSAGE_7195, MESSAGE_7196,
			MESSAGE_7197, MESSAGE_7198, MESSAGE_7199, MESSAGE_7200 };

	/**
	 * Define the keys (String[]) constant.
	 */
	/* Generated field and should not be changed. */
	public static final String[] KEYS = new String[] { "7150", //$NON-NLS-1$
			"7151", //$NON-NLS-1$
			"7152", //$NON-NLS-1$
			"7153", //$NON-NLS-1$
			"7154", //$NON-NLS-1$
			"7155", //$NON-NLS-1$
			"7156", //$NON-NLS-1$
			"7157", //$NON-NLS-1$
			"7158", //$NON-NLS-1$
			"7159", //$NON-NLS-1$
			"7160", //$NON-NLS-1$
			"7161", //$NON-NLS-1$
			"7162", //$NON-NLS-1$
			"7163", //$NON-NLS-1$
			"7164", //$NON-NLS-1$
			"7165", //$NON-NLS-1$
			"7166", //$NON-NLS-1$
			"7167", //$NON-NLS-1$
			"7168", //$NON-NLS-1$
			"7169", //$NON-NLS-1$
			"7170", //$NON-NLS-1$
			"7171", //$NON-NLS-1$
			"7172", //$NON-NLS-1$
			"7173", //$NON-NLS-1$
			"7174", //$NON-NLS-1$
			"7175", //$NON-NLS-1$
			"7176", //$NON-NLS-1$
			"7177", //$NON-NLS-1$
			"7178", //$NON-NLS-1$
			"7179", //$NON-NLS-1$
			"7180", //$NON-NLS-1$
			"7181", //$NON-NLS-1$
			"7182", //$NON-NLS-1$
			"7183", //$NON-NLS-1$
			"7184", //$NON-NLS-1$
			"7185", //$NON-NLS-1$
			"7186", //$NON-NLS-1$
			"7187", //$NON-NLS-1$
			"7188", //$NON-NLS-1$
			"7189", //$NON-NLS-1$
			"7190", //$NON-NLS-1$
			"7191", //$NON-NLS-1$
			"7192", //$NON-NLS-1$
			"7193", //$NON-NLS-1$
			"7194", //$NON-NLS-1$
			"7195", //$NON-NLS-1$
			"7196", //$NON-NLS-1$
			"7197", //$NON-NLS-1$
			"7198", //$NON-NLS-1$
			"7199", //$NON-NLS-1$
			"7200" //$NON-NLS-1$
	};

	/**
	 * Define the start index (int) constant.
	 */
	/* Generated field and should not be changed. */
	protected static final int START_INDEX = 7150;

	/**
	 * Define the values (String[]) field.
	 */
	/* Generated field and should not be changed. */
	public static String[] Values = VALUES_LOCAL;

	/**
	 * Standard constructor.
	 */
	public TestManagerResourceBundle() {
		super();
	}

	/**
	 * Returns the String key based on the specified key number.
	 * @param keyNumber The resource key number.
	 * @return String The key string based on the requested key number.
	 * @throws IndexOutOfBoundsException if String key at key number not found
	 */
	public static String getKey(final int keyNumber) throws IndexOutOfBoundsException {
		return KEYS[keyNumber - START_INDEX];
	}

	/**
	 * Get keys (<code>Enumeration</code>) value.
	 * @see java.util.ResourceBundle#getKeys()
	 * @return Results of the get keys (<code>Enumeration</code>) value.
	 */
	public Enumeration getKeys() {
		/* Generated method and should not be changed. */
		final Enumeration enumeration = new Enumeration() {
			/**
			 * Define the index (int) field.
			 */
			/* Generated field and should not be changed. */
			private int index = 0;

			/**
			 * Next element and return the Object result.
			 * @return If more elements, then return true.
			 */
			public Object nextElement() {
				/* Generated method and should not be changed. */
				return KEYS[this.index++];
			}

			/**
			 * Gets the more elements (boolean) value.
			 * @return The more elements (<code>boolean</code>) value.
			 */
			public boolean hasMoreElements() {
				/* Generated method and should not be changed. */
				return this.index < Values.length;
			}
		};
		return enumeration;
	}

	/**
	 * Handle get object and return object.
	 * @see java.util.ResourceBundle#handleGetObject(String)
	 * @param key Input key to lookup.
	 * @return Results of the handle get object (<code>Object</code>) value.
	 * @throws MissingResourceException Missing Resource Exception.
	 */
	protected Object handleGetObject(final String key) throws MissingResourceException {
		try {
			final int index = Arrays.binarySearch(KEYS, key);
			return Values[index];
		} catch (final RuntimeException exception) {
			throw new MissingResourceException(key, getClass().getName(), key);
		}
	}
}
