package org.eclipse.soda.dk.testmanager.parser;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public class PropertyConverterUtility {
	/**
	 * Convert with the specified property and type parameters and return the Object result.
	 * @param property
	 *		The property (<code>String</code>) parameter.
	 * @param type
	 *		The type (<code>String</code>) parameter.
	 * @return Results of the convert (<code>Object</code>) value.
	 * @see #convert(String,String,int)
	 */
	public static Object convert(final String property, final String type) {
		return convert(property, type, 0);
	}

	/**
	 * Convert with the specified property, type and cardinality parameters and return the Object result.
	 * @param property
	 *		The property (<code>String</code>) parameter.
	 * @param type
	 *		The type (<code>String</code>) parameter.
	 * @param cardinality
	 *		The cardinality (<code>int</code>) parameter.
	 * @return Results of the convert (<code>Object</code>) value.
	 * @see #convert(String,String)
	 */
	public static Object convert(final String property, final String type, final int cardinality) {
		final PropertyConverter converter = PropertyConverterFactory.create(type);
		return converter.convert(property, cardinality);
	}
}
