package org.eclipse.soda.dk.testmanager.service;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.io.IOException;
import org.eclipse.soda.dk.testcontroller.service.TestSessionService;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public interface DistributedTestSessionService {
	/**
	 * Close.
	 */
	public void close();

	/**
	 * Get test session with the specified controller id parameter and return the TestSessionService result.
	 * @param controllerId
	 *		The controller ID (<code>String</code>) parameter.
	 * @return Results of the get test session (<code>TestSessionService</code>) value.
	 * @throws IOException IOException.
	 */
	public TestSessionService getTestSession(final String controllerId) throws IOException;

	/**
	 * Interrupt.
	 */
	public void interrupt();

	/**
	 * Gets the interrupted (boolean) value.
	 * @return the interrupted status
	 */
	public boolean isInterrupted();
}
