package org.eclipse.soda.dk.testmanager.service;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public interface TestStatisticsService {
	/**
	 * Define the stats script error count (String) constant.
	 */
	public final static String STATS_SCRIPT_ERROR_COUNT = "TEST_SCRIPT_ERROR_COUNT"; //$NON-NLS-1$

	/**
	 * Define the stats test count (String) constant.
	 */
	public final static String STATS_TEST_COUNT = "TEST_COUNT"; //$NON-NLS-1$

	/**
	 * Define the stats test error count (String) constant.
	 */
	public final static String STATS_TEST_ERROR_COUNT = "TEST_ERROR_COUNT"; //$NON-NLS-1$

	/**
	 * Define the stats configuration count (String) constant.
	 */
	public final static String STATS_CONFIGURATION_COUNT = "CONFIGURATION_COUNT"; //$NON-NLS-1$

	/**
	 * Define the stats configuration error count (String) constant.
	 */
	public final static String STATS_CONFIGURATION_ERROR_COUNT = "CONFIGURATION_ERROR_COUNT"; //$NON-NLS-1$

	/**
	 * Define the stats test case count (String) constant.
	 */
	public final static String STATS_TEST_CASE_COUNT = "TEST_CASE_COUNT"; //$NON-NLS-1$

	/**
	 * Define the stats test case failed count (String) constant.
	 */
	public final static String STATS_TEST_CASE_FAILED_COUNT = "TEST_CASE_FAILED_COUNT"; //$NON-NLS-1$

	/**
	 * Define the stats test case error count (String) constant.
	 */
	public final static String STATS_TEST_CASE_ERROR_COUNT = "TEST_CASE_ERROR_COUNT"; //$NON-NLS-1$

	/**
	 * Get count with the specified key parameter and return the int result.
	 * @param key
	 *		The key (<code>String</code>) parameter.
	 * @return Results of the get count (<code>int</code>) value.
	 * @see #incrementCount(String,int)
	 */
	public int getCount(final String key);

	/**
	 * Get value with the specified key parameter and return the Integer result.
	 * @param key
	 *		The key (<code>String</code>) parameter.
	 * @return Results of the get value (<code>Integer</code>) value.
	 */
	public Integer getValue(final String key);

	/**
	 * Increment count with the specified key and incr parameters.
	 * @param key
	 *		The key (<code>String</code>) parameter.
	 * @param incr
	 *		The incr (<code>int</code>) parameter.
	 * @see #getCount(String)
	 */
	public void incrementCount(final String key, final int incr);
}
