package org.eclipse.soda.dk.testmanager.servlet;

/*************************************************************************
 * Copyright (c) 2005, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.io.InputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.eclipse.soda.dk.device.servlet.DeviceServletContext;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public class DeviceTestManagerServletContext extends DeviceServletContext {
	/**
	 * Constructs an instance of this class.
	 * @param request	The request (<code>HttpServletRequest</code>) parameter.
	 * @param response	The response (<code>HttpServletResponse</code>) parameter.
	 * @param serverAlias	The server alias (<code>String</code>) parameter.
	 */
	public DeviceTestManagerServletContext(final HttpServletRequest request, final HttpServletResponse response, final String serverAlias) {
		super(request, response, serverAlias);
	}

	/**
	 * Begin.
	 */
	public void begin() {
		setupResponse(getResponse());
		setupRequest(getRequest());
		setupEntities();
		/* Omit default templates because of use of frameset */
		/* template("begin"); //$NON-NLS-1$ */
		/* template("warning"); //$NON-NLS-1$ */
	}

	/**
	 * End.
	 */
	public void end() {
		/* Omit default template because of use of frameset */
		/* template("end"); //$NON-NLS-1$ */
	}

	/**
	 * Template input stream with the specified name parameter and return the InputStream result.
	 * @param name	The name (<code>String</code>) parameter.
	 * @return	Results of the template input stream (<code>InputStream</code>) value.
	 */
	public InputStream templateInputStream(final String name) {
		final InputStream is = getClass().getResourceAsStream(name);
		if (is == null) {
			return super.templateInputStream(name);
		}
		return is;
	}
}
