package org.eclipse.soda.dk.testmanager.servlet;

/*************************************************************************
 * Copyright (c) 2003, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import java.util.Arrays;
import java.util.MissingResourceException;
import java.util.Enumeration;
import java.util.ResourceBundle;

/**
 * The DeviceTestManagerServletResourceBundle provides National Language Support (NLS) resources.
 * @author IBM
 * @version 1.2.0
 */
public class DeviceTestManagerServletResourceBundle extends ResourceBundle {
	/**
	 * Define the class name.
	 */
	/* Generated field and should not be changed. */
	public final static String CLASS_NAME = DeviceTestManagerServletResourceBundle.class.getName();

	/**
	 * Define message 7250.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7250 = "Stream is closed"; //$NON-NLS-1$

	/**
	 * Define message 7251.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7251 = "Invalid header line: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7252.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7252 = "Failed to run test script."; //$NON-NLS-1$

	/**
	 * Define message 7253.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7253 = "Expected test script in multipart/form-data encoding"; //$NON-NLS-1$

	/**
	 * Define message 7254.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7254 = "Received encoding: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7256.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7256 = "Script action ended {0}: {1}"; //$NON-NLS-1$

	/**
	 * Define message 7257.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7257 = "Error executing action {0}: {1}"; //$NON-NLS-1$

	/**
	 * Define message 7258.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7258 = "Starting script action {0}: {1}"; //$NON-NLS-1$

	/**
	 * Define message 7259.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7259 = "{0} Configuration changes ({1} errors)\n"; //$NON-NLS-1$

	/**
	 * Define message 7260.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7260 = "{0} Tests ({1} errors)\n"; //$NON-NLS-1$

	/**
	 * Define message 7261.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7261 = "{0} Test cases ({1} errors, {2} failures)"; //$NON-NLS-1$

	/**
	 * Define message 7262.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7262 = "TEST COMPLETED"; //$NON-NLS-1$

	/**
	 * Define message 7263.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7263 = "Error running script: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7264.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7264 = "(UNTITLED)"; //$NON-NLS-1$

	/**
	 * Define message 7265.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7265 = "Running test script: {0}"; //$NON-NLS-1$

	/**
	 * Define message 7266.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7266 = "Error in test: {0} [{1}]"; //$NON-NLS-1$

	/**
	 * Define message 7267.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7267 = "Test failed: {0} [{1}]"; //$NON-NLS-1$

	/**
	 * Define message 7268.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7268 = "Error in test run: {0} [{1}]"; //$NON-NLS-1$

	/**
	 * Define message 7269.
	 */
	/* Generated field and should not be changed. */
	private static final String MESSAGE_7269 = "Running: {0} [{1}]"; //$NON-NLS-1$

	/**
	 * Define the values local (String[]) constant.
	 */
	/* Generated field and should not be changed. */
	protected static final String[] VALUES_LOCAL = new String[] { MESSAGE_7250, MESSAGE_7251, MESSAGE_7252, MESSAGE_7253, MESSAGE_7254, MESSAGE_7256, MESSAGE_7257, MESSAGE_7258, MESSAGE_7259, MESSAGE_7260, MESSAGE_7261, MESSAGE_7262, MESSAGE_7263,
			MESSAGE_7264, MESSAGE_7265, MESSAGE_7266, MESSAGE_7267, MESSAGE_7268, MESSAGE_7269 };

	/**
	 * Define the keys (String[]) constant.
	 */
	/* Generated field and should not be changed. */
	public static final String[] KEYS = new String[] { "7250", //$NON-NLS-1$
			"7251", //$NON-NLS-1$
			"7252", //$NON-NLS-1$
			"7253", //$NON-NLS-1$
			"7254", //$NON-NLS-1$
			"7256", //$NON-NLS-1$
			"7257", //$NON-NLS-1$
			"7258", //$NON-NLS-1$
			"7259", //$NON-NLS-1$
			"7260", //$NON-NLS-1$
			"7261", //$NON-NLS-1$
			"7262", //$NON-NLS-1$
			"7263", //$NON-NLS-1$
			"7264", //$NON-NLS-1$
			"7265", //$NON-NLS-1$
			"7266", //$NON-NLS-1$
			"7267", //$NON-NLS-1$
			"7268", //$NON-NLS-1$
			"7269" //$NON-NLS-1$
	};

	/**
	 * Define the integer keys (int[]) constant.
	 */
	/* Generated field and should not be changed. */
	public static final int[] INTEGER_KEYS = new int[] { 7250, 7251, 7252, 7253, 7254, 7256, 7257, 7258, 7259, 7260, 7261, 7262, 7263, 7264, 7265, 7266, 7267, 7268, 7269 };

	/**
	 * Define the values (String[]) field.
	 */
	/* Generated field and should not be changed. */
	public static String[] Values = VALUES_LOCAL;

	/**
	 * Standard constructor.
	 */
	public DeviceTestManagerServletResourceBundle() {
		super();
	}

	/**
	 * Returns the String key based on the specified key number.
	 * @param keyNumber The resource key number.
	 * @return String The key string based on the requested key number.
	 * @throws IndexOutOfBoundsException if String key at key number not found
	 */
	public static String getKey(final int keyNumber) throws IndexOutOfBoundsException {
		final int index = Arrays.binarySearch(INTEGER_KEYS, keyNumber);
		return KEYS[index];
	}

	/**
	 * Get keys (<code>Enumeration</code>) value.
	 * @see java.util.ResourceBundle#getKeys()
	 * @return Results of the get keys (<code>Enumeration</code>) value.
	 */
	public Enumeration getKeys() {
		/* Generated method and should not be changed. */
		final Enumeration enumeration = new Enumeration() {
			/**
			 * Define the index (int) field.
			 */
			/* Generated field and should not be changed. */
			private int index = 0;

			/**
			 * Next element and return the Object result.
			 * @return If more elements, then return true.
			 */
			public Object nextElement() {
				/* Generated method and should not be changed. */
				return KEYS[this.index++];
			}

			/**
			 * Gets the more elements (boolean) value.
			 * @return The more elements (<code>boolean</code>) value.
			 */
			public boolean hasMoreElements() {
				/* Generated method and should not be changed. */
				return this.index < Values.length;
			}
		};
		return enumeration;
	}

	/**
	 * Handle get object and return object.
	 * @see java.util.ResourceBundle#handleGetObject(String)
	 * @param key Input key to lookup.
	 * @return Results of the handle get object (<code>Object</code>) value.
	 * @throws MissingResourceException Missing Resource Exception.
	 */
	protected Object handleGetObject(final String key) throws MissingResourceException {
		try {
			final int index = Arrays.binarySearch(KEYS, key);
			return Values[index];
		} catch (final RuntimeException exception) {
			throw new MissingResourceException(key, getClass().getName(), key);
		}
	}
}
