package org.eclipse.soda.dk.testmanager.servlet.bundle;

/*************************************************************************
 * Copyright (c) 2005, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import org.eclipse.soda.dk.device.servlet.DeviceServlet;
import org.eclipse.soda.dk.device.servlet.bundle.DeviceServletBundle;
import org.eclipse.soda.dk.testmanager.service.TestManagerService;
import org.eclipse.soda.dk.testmanager.servlet.DeviceTestManagerServlet;
import org.osgi.service.http.HttpService;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public class DeviceTestManagerServletBundle extends DeviceServletBundle {
	/**
	 * Define the imported services (String[]) constant.
	 */
	public static final String[] IMPORTED_SERVICES = new String[] { HttpService.class.getName(), TestManagerService.SERVICE_NAME };

	/**
	 * Create servlet and return the DeviceServlet result.
	 * @return	Results of the create servlet (<code>DeviceServlet</code>) value.
	 */
	public DeviceServlet createServlet() {
		DeviceTestManagerServlet servlet = new DeviceTestManagerServlet();
		servlet.setTestManager((TestManagerService) getImportedService(TestManagerService.SERVICE_NAME));
		return servlet;
	}

	/**
	 * Gets the imported service names (String[]) value.
	 * @return	The imported service names (<code>String[]</code>) value.
	 */
	protected String[] getImportedServiceNames() {
		return IMPORTED_SERVICES;
	}
}
